POST https://webhook.example.com

Once a delivery job is validated a second webhook event will be sent to confirm the full details

application/json

Body

Responses

  • 200 application/json

    200

  • 400 application/json

    400

  • 422 application/json

    422

POST /dispatch/create_job
Request example
{
  "jobId": "609***72e",
  "account": "5f1***131",
  "pickupTime": "2021-05-13T13:40:04Z",
  "transportType": "unknown",
  "driverTip": 500,
  "pickupLocation": {
    "location": "606***555",
    "name": "Deliverect'''s Pizza Place",
    "remarks": "please use the backdoor for order pickup",
    "street": "van Ghentlaan",
    "streetNumber": "3",
    "postalCode": "9000 LK",
    "city": "Leusden",
    "latitude": "52.379189",
    "longitude": "4.899431"
  },
  "deliveryLocations": [
    {
      "orderId": "609***4dd",
      "channelOrderDisplayId": "MT4YVTPL",
      "deliveryTime": "2021-05-13T13:55:00Z",
      "packageSize": "medium",
      "orderDescription": "hot food",
      "company": "BrainQuantums",
      "name": "V. Bertels",
      "street": "Refugehof",
      "streetNumber": "49",
      "postalCode": "9001 AB",
      "city": "Leusden",
      "phone": "+32123456789",
      "phoneAccessCode": "342241214",
      "deliveryRemarks": "Don'''t ring door bell.",
      "latitude": "52.379189",
      "longitude": "4.899431",
      "payment": {
        "orderIsAlreadyPaid": true,
        "amount": 1100,
        "paymentType": 0
      }
    }
  ],
  "ageCheck": false
}
Response examples (200)
{
  "value": {
    "jobId": "609***72e",
    "canDeliver": true,
    "pickupTimeETA": "2021-05-13T13:42:00Z",
    "externalJobId": "DJ123456",
    "distance": 4200,
    "price": {
      "price": 750,
      "taxRate": 10000
    },
    "courier": {
      "courierId": "D1234",
      "firstName": "Delivery",
      "lastName": "Rider",
      "phoneNumber": "0032494112233",
      "transportType": "bicycle"
    },
    "deliveryLocations": [
      {
        "deliveryId": "ABC567",
        "orderId": "5f4***e2af",
        "channelOrderDisplayId": "MT4YVTPL",
        "deliveryTimeETA": "2021-05-13T13:57:00Z",
        "deliveryRemarks": ""
      }
    ]
  }
}
Response examples (400)
{
  "error": "Bad Request"
}
Response examples (422)
{
  "reason": "DeliveryJobErrorReason",
  "description": "string",
  "extraDetails": "string"
}